import 'package:bosun/bosun.dart';
import 'package:process_run/shell_run.dart' as shell;

class UpdateCommand extends Command {
  UpdateCommand()
      : super(
          command: 'update',
          description: 'Update the project to the latest version.',
          example: 'me update',
        );

  @override
  Future<void> run(List<String> args, Map<String, dynamic> flags) async {
    await shell.run('flutter pub global activate me', verbose: true);
  }
}
