import 'package:recase/recase.dart';

import '../interface/sample_interface.dart';

class ControllerSample extends Sample {
  final String _fileName;

  ControllerSample(
    String path,
    this._fileName, {
    bool overwrite = false,
  }) : super(path, overwrite: overwrite);

  @override
  String get content => contentController;

  String get contentController =>
      '''import 'package:mega_commons_dependencies/mega_commons_dependencies.dart';
      
      class ${_fileName.pascalCase}Controller extends GetxController {
      
      @override
      void onInit() {
        //implement onInit
        super.onInit();
      }
      }
      ''';
}
